Subject: Re: [PATCH] net: netpoll: ensure skb_pool list is always initialized

From: Jakub Kicinski <[email-masked]>
Date: Mon, 30 Dec 2024 17:57:07 -0800

On Sat, 21 Dec 2024 17:23:34 -0800 John Sperbeck wrote:
> Move the skb_pool list initialization into __netpoll_setup().  Also,
> have netpoll_setup() call this before allocating its initial pool of
> packets.
> 
> Fixes: 6c59f16f1770 ("net: netpoll: flush skb pool during cleanup")

The fixes tag seems to be off by one? Wasn't the problem was introduced
by commit 221a9c1df790 ("net: netpoll: Individualize the skb pool") ?

Since __netpoll_setup() can be called by other drivers, shouldn't 
we move refill in there? Since the pool is per np?

Optionally, could you extend the netcons tests to exercise netcons over
vlan? I think it should be able to trigger the crash you're fixing?
-- 
pw-bot: cr